=== debian/changelog ===
pixelmed-codec (20141206-1) unstable; urgency=low

  * Initial release. (Closes: #808152)

 -- Andreas Tille <tille@debian.org>  Wed, 16 Dec 2015 16:38:12 +0100
