=== debian/control ===
Source: pixelmed-codec
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: default-jdk,
                     javahelper,
                     junit4,
                     libhsqldb-java
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/pixelmed-codec/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/pixelmed-codec/trunk/
Homepage: http://www.pixelmed.com

Package: libpixelmed-codec-java
Architecture: all
Section: java
Depends: ${java:Depends},
         ${misc:Depends}
Description: some imaging codices for pixelmed DICOM image and ECG viewer
 Pixelmed is a stand-alone DICOM toolkit that implements code for reading
 and creating DICOM data, DICOM network and file support, a database of
 DICOM objects, support for display of directories, images, reports and
 spectra, and DICOM object validation.
 .
 This package contains some file format codecs used by pixelmed but
 provided as a separate tarball.
