=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export JAVA_HOME=/usr/lib/jvm/default-java

VERSION = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d- | cut -f2 -d~)

%:
	dh $@ --with javahelper

#override_dh_auto_build:
#	$(MAKE) all
#	$(MAKE) javadoc
