=== debian/watch ===
version=3
http://www.dclunie.com/pixelmed/software/codec/([b\d]+)_current/pixelmedjavacodec_sourcerelease.([\d]+).tar.bz2
