## pixelmed-codec 20170512

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-all:	pixelmed_codec.jar
+all:	pixelmed_codec.jar pixelmed_imageio.jar
 
 TAR = gnutar
 #TAR = tar
@@ -6,10 +6,12 @@
 COMPRESSEXT = bz2
 
 SUBDIRS = \
-	com/pixelmed/codec/jpeg
+	com/pixelmed/codec/jpeg \
+	com/pixelmed/imageio
 	
 SUBPACKAGES = \
-	com.pixelmed.codec.jpeg
+	com.pixelmed.codec.jpeg \
+	com.pixelmed.imageio
 
 ADDITIONALFILES = \
 	COPYRIGHT \
@@ -22,6 +24,7 @@
 
 BINARYRELEASEFILES = \
 	pixelmed_codec.jar \
+	pixelmed_imageio.jar \
 	BUILDDATE \
 	${ADDITIONALFILES}
 
@@ -50,27 +53,44 @@
 DOXYGENFILES = \
         docs/doxygen
 
-OTHERDOCRELEASEFILES = \
+#OTHERDOCRELEASEFILES = \
+#
 
 PATHTOROOT = .
 
 include ${PATHTOROOT}/Makefile.common.mk
+
+metainf:
+	mkdir -p META-INF/services
+	rm -f META-INF/services/javax.imageio.spi.ImageReaderSpi
+	echo >META-INF/services/javax.imageio.spi.ImageReaderSpi "com.pixelmed.imageio.JPEGLosslessImageReaderSpi"
 
 pixelmed_codec.jar:
 	(cd com/pixelmed/codec/jpeg; make all)
 	date >BUILDDATE
 	jar -cvf $@ BUILDDATE COPYRIGHT \
 		com/pixelmed/codec/jpeg/*.class
+
+pixelmed_imageio.jar:	metainf
+	(cd com/pixelmed/codec/jpeg; make all)
+	(cd com/pixelmed/imageio; make all)
+	date >BUILDDATE
+	jar -cvf $@ BUILDDATE COPYRIGHT \
+		META-INF/services/javax.imageio.spi.ImageReaderSpi \
+		com/pixelmed/codec/jpeg/*.class \
+		com/pixelmed/imageio/*.class \
+
 changelog:
 	rm -f CHANGES
 	cvsps -u -q | egrep -v '^(PatchSet|Author:|Branch:|Tag:|Members:|Log:)' | fgrep -v '*** empty log message ***' | grep -v '^[ ]*$$' | sed -e 's/:[0-9.]*->[0-9.]*//' -e 's/:INITIAL->[0-9.]*//' -e 's/^Date: \([0-9][0-9][0-9][0-9]\/[0-9][0-9]\/[0-9][0-9]\) [0-9:]*$$/\1/' >CHANGES
 	bzip2 <CHANGES >CHANGES.bz2
 	
 clean:	cleanallexceptjar
-	rm -f pixelmed_codec.jar
+	rm -f pixelmed_codec.jar pixelmed_imageio.jar
 
 cleanallexceptjar:	cleansubdirs
 	rm -f *~ *.class .exclude.list
+	rm -rf META-INF
 
 cleansubdirs:
 	for d in ${SUBDIRS}; \
@@ -95,17 +115,18 @@
 	export COPY_EXTENDED_ATTRIBUTES_DISABLE=true; \
 	${TAR} -cv -X .exclude.list -f - ${DOXYGENFILES} | ${COMPRESS} > pixelmedjavacodec_javadoc_archive.`date '+%Y%m%d'`.tar.${COMPRESSEXT}
 
-releaseall:	changelog sourcerelease javadocrelease doxygenrelease binaryrelease dependencyrelease otherdocrelease
+#releaseall:	changelog sourcerelease javadocrelease doxygenrelease binaryrelease dependencyrelease otherdocrelease
+releaseall:	changelog sourcerelease javadocrelease doxygenrelease binaryrelease dependencyrelease
 
-binaryrelease: cleanallexceptjar .exclude.list pixelmed_codec.jar #javadoc doxygen
+binaryrelease: cleanallexceptjar .exclude.list pixelmed_codec.jar pixelmed_imageio.jar #javadoc doxygen
 	export COPYFILE_DISABLE=true; \
 	export COPY_EXTENDED_ATTRIBUTES_DISABLE=true; \
 	${TAR} -cv -X .exclude.list -f - ${BINARYRELEASEFILES} | ${COMPRESS} > pixelmedjavacodec_binaryrelease.`date '+%Y%m%d'`.tar.${COMPRESSEXT}
 
-otherdocrelease:
-	export COPYFILE_DISABLE=true; \
-	export COPY_EXTENDED_ATTRIBUTES_DISABLE=true; \
-	${TAR} -cv -f - ${OTHERDOCRELEASEFILES} | ${COMPRESS} > pixelmedjavacodec_otherdocsrelease.`date '+%Y%m%d'`.tar.${COMPRESSEXT}
+#otherdocrelease:
+#	export COPYFILE_DISABLE=true; \
+#	export COPY_EXTENDED_ATTRIBUTES_DISABLE=true; \
+#	${TAR} -cv -f - ${OTHERDOCRELEASEFILES} | ${COMPRESS} > pixelmedjavacodec_otherdocsrelease.`date '+%Y%m%d'`.tar.${COMPRESSEXT}
 
 dependencyrelease:	.exclude.list
 	export COPYFILE_DISABLE=true; \
@@ -161,6 +182,7 @@
 	rm -rf docs/doxygen
 	doxygen Doxyfile
 
-installinpixelmed:	pixelmed_codec.jar
-	cp $< ../pixelmed/imgbook/lib/additional/
+installinpixelmed:	pixelmed_codec.jar pixelmed_imageio.jar
+	cp pixelmed_codec.jar ../pixelmed/imgbook/lib/additional/
+	cp pixelmed_imageio.jar ../pixelmed/imgbook/lib/additional/
