=== debian/changelog ===
pixelmed-codec (20170512-2) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Secure URI in copyright format
  * Remove custom compression settings

 -- Andreas Tille <tille@debian.org>  Tue, 08 Jan 2019 16:16:25 +0100

pixelmed-codec (20170512-1) unstable; urgency=medium

  * New upstream version
  * Move packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.0 (no changes needed)
  * Do not set bootclasspath
    Closes: #875779

 -- Andreas Tille <tille@debian.org>  Thu, 14 Sep 2017 18:58:23 +0200

pixelmed-codec (20141206-2) unstable; urgency=medium

  * Make build reproducible (thanks for the patch to Chris Lamb)
    Closes: #834052
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Fri, 12 Aug 2016 15:25:19 +0200
