=== debian/control ===
Source: pixelmed-codec
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 11~)
Build-Depends-Indep: default-jdk,
                     javahelper,
                     junit4,
                     libhsqldb-java
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/pixelmed-codec
Vcs-Git: https://salsa.debian.org/med-team/pixelmed-codec.git
Homepage: http://www.pixelmed.com

Package: libpixelmed-codec-java
Architecture: all
Section: java
Depends: ${java:Depends},
         ${misc:Depends}
Description: some imaging codecs for pixelmed DICOM image and ECG viewer
 Pixelmed is a stand-alone DICOM toolkit that implements code for reading
 and creating DICOM data, DICOM network and file support, a database of
 DICOM objects, support for display of directories, images, reports and
 spectra, and DICOM object validation.
 .
 This package contains some file format codecs used by pixelmed but
 provided as a separate tarball.
