=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@ --with javahelper
