## pixelmed-codec 20200328

=== pixelmed/imageio/Makefile ===
--- 
+++ 
@@ -30,3 +30,8 @@
 	#dctoraw "$${HOME}/Pictures/Medical/JPEGLossless/eightbitrgbsingleframe.dcm" /tmp/crap.jpg	# DHT segment between SOI and SOF
 	#dctoraw "$${HOME}/Pictures/Medical/JPEGLossless/ivus_thousandsofframes_losslessjpeg.dcm" /tmp/crap.jpg	# DHT segment between SOI and SOF
 	java -cp ${PATHTOROOT}/pixelmed_imageio.jar com.pixelmed.imageio.TestImageIO /tmp/crap.jpg
+
+testnotlosslessjpeg:
+	# should fail rather than display black image
+	java -cp ${PATHTOROOT}/pixelmed_imageio.jar com.pixelmed.imageio.TestImageIO "${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/smpte_8_q1.jpg" jpeg-lossless 0
+
