=== pixelmed/codec/jpeg/Makefile ===
--- 
+++ 
@@ -25,17 +25,19 @@
 	rm -f /tmp/crap_copied.jpg
 	rm -f /tmp/crap_source.jpg
 	cp -v \
-		"/Volumes/Toshiba5TEnc/MDDX/20170320_Assembla2719_MissingJPEGEOI/corruptedfile147652_IM001_35.jpg" \
+		"$${HOME}/Documents/Clients/MDDX/Experiment20130905/crap.jpg" \
 		/tmp/crap_source.jpg
 	java -Djava.awt.headless=true  -cp ${PATHTOROOT} com.pixelmed.codec.jpeg.Parse \
 		/tmp/crap_source.jpg \
 		/tmp/crap_copied.jpg
 	# use make -i to continue to dump
+	ls -l /tmp/crap_source.jpg
+	ls -l /tmp/crap_copied.jpg
+	hexdump -C /tmp/crap_source.jpg | tail -3
+	hexdump -C /tmp/crap_copied.jpg | tail -3
 	@echo "Comparing source and copied ... may fail with EOF if padding after EOI marker that is not copied, or missing EOI marker is added, both of which are OK"
 	cmp /tmp/crap_source.jpg /tmp/crap_copied.jpg
 	@echo "Finished comparing"
-	hexdump -C /tmp/crap_source.jpg | tail -3
-	hexdump -C /tmp/crap_copied.jpg | tail -3
 
 # without restart and working
 		#"$${HOME}/Documents/Medical/compression/JPEG/10918-1/jpeg-6/testimg.jpg"
@@ -76,6 +78,17 @@
 		#"$${HOME}/Documents/Medical/compression/JPEG/10918-2/ITU T83/T83_process14/O1.JPG" \
 		#"$${HOME}/Documents/Medical/compression/JPEG/10918-2/ITU T83/T83_process14/O2.JPG" \
 
+testcannotdecompress:	${OBJS}
+	rm -f /tmp/crap_source.jpg
+	rm -f /tmp/crap_decompressed*.raw
+	cp -v \
+		"${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/smpte_8_q1.jpg" \
+		/tmp/crap_source.jpg
+	java -Djava.awt.headless=true  -cp ${PATHTOROOT} com.pixelmed.codec.jpeg.Parse \
+		/tmp/crap_source.jpg \
+		"" \
+		/tmp/crap_decompressed.raw
+
 testdecompressfromdicom:	${OBJS}
 	rm -f /tmp/crap_source.dcm
 	rm -f /tmp/crap_source.jpg
