=== debian/changelog ===
pixelmed-codec (20200328-6) unstable; urgency=medium

  * Raising Standards version to 4.6.2 (no change)
  * Marking Debian-specific patches as Forwarded: not-needed
  * Raising source/target versions to comply with OpenJDK-21 (Closes: #1053075)

 -- Pierre Gruet <pgt@debian.org>  Fri, 06 Oct 2023 22:37:51 +0200

pixelmed-codec (20200328-5) unstable; urgency=medium

  * Moving javahelper from B-D-I to B-D so that the clean rule of source
    builds works
  * Setting Standards version to 4.6.1 (no change)
  * Adding myself as uploader
  * Updating years in d/copyright
  * Fixing d/watch to download future versions

 -- Pierre Gruet <pgt@debian.org>  Sun, 02 Oct 2022 14:35:35 +0200

pixelmed-codec (20200328-4) unstable; urgency=medium

  * Enhance watch file to at least check for the latest version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Do not parse d/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Apply multi-arch hints.
    + libpixelmed-codec-java, libpixelmed-imageio-java: Add Multi-Arch: foreign.
  * Build-Depends: help2man

 -- Andreas Tille <tille@debian.org>  Mon, 18 Oct 2021 18:06:20 +0200

pixelmed-codec (20200328-3) unstable; urgency=medium

  [ Chris Lamb ]
  * d/patches: please make the build reproducible. Closes: #968185

  [ Mathieu Malaterre ]
  * Team upload.
  * d/jpegparse Add new command line tool.
  * d/patches: Add patch to handle help2man
  * d/jpegparse.1.in: Add template for help2man
  * d/rules: Build jpegparse man page
  * d/control: Reflect location of new command line tool: jpegparse.
  * d/manpages: Install jpegparse manpage

 -- Mathieu Malaterre <malat@debian.org>  Tue, 18 Aug 2020 11:32:08 +0200

pixelmed-codec (20200328-2) unstable; urgency=medium

  * Team upload.
  * d/control: Add missing pixelmed-imageio jar

 -- Mathieu Malaterre <malat@debian.org>  Wed, 05 Aug 2020 11:31:46 +0200

pixelmed-codec (20200328-1) unstable; urgency=medium

  * Team upload.
  * d/control: Update Homepage to direct location
  * d/copyright: Update Source URL
  * New upstream version 20200328
  * d/control: Bump Std-Vers to 4.5.0; no changes needed
  * d/rules: Remove BUILDDATE file

 -- Mathieu Malaterre <malat@debian.org>  Fri, 31 Jul 2020 10:35:58 +0200
