=== debian/control ===
Source: pixelmed-codec
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Pierre Gruet <pgt@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper-compat (= 13),
               javahelper
Build-Depends-Indep: default-jdk,
                     junit4,
                     libhsqldb-java,
                     help2man
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/pixelmed-codec
Vcs-Git: https://salsa.debian.org/med-team/pixelmed-codec.git
Homepage: https://www.pixelmed.com/jpeg.html
Rules-Requires-Root: no

Package: libpixelmed-codec-java
Architecture: all
Section: java
Depends: ${java:Depends},
         ${misc:Depends}
Multi-Arch: foreign
Description: JPEG selective block redaction codec for pixelmed
 Pixelmed is a stand-alone DICOM toolkit that implements code for reading
 and creating DICOM data, DICOM network and file support, a database of
 DICOM objects, support for display of directories, images, reports and
 spectra, and DICOM object validation.
 .
 This package contains the JPEG selective block redaction codec as well
 as the jpegparse command line tool.

Package: libpixelmed-imageio-java
Architecture: all
Section: java
Depends: ${java:Depends},
         ${misc:Depends}
Multi-Arch: foreign
Description: JPEG lossless decoder for pixelmed
 Pixelmed is a stand-alone DICOM toolkit that implements code for reading
 and creating DICOM data, DICOM network and file support, a database of
 DICOM objects, support for display of directories, images, reports and
 spectra, and DICOM object validation.
 .
 This package contains the JPEG lossless decoder.
