=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,16 @@
 
 %:
 	dh $@ --with javahelper
+
+override_dh_clean:
+	dh_clean BUILDDATE
+
+override_dh_install: debian/jpegparse.1
+	dh_install debian/jpegparse $(DESTDIR)/usr/bin/
+
+include /usr/share/dpkg/default.mk
+
+debian/jpegparse.1: debian/jpegparse.1.in
+	help2man --include=$< --output=$@ \
+		--name="JPEG parse program" --no-discard-stderr \
+		--no-info debian/`basename $@ .1` --version-string=$(DEB_SOURCE)
