=== debian/watch ===
version=4
opts="downloadurlmangle=s:(\d+)_current/index.html:$1_current/pixelmedjavacodec_sourcerelease.$1.tar.bz2:g, \
 filenamemangle=s:^http.*/software/.*/(\d+)_current/index.html:pixelmed-codec_$1.tar.bz2:" \
 https://www.dclunie.com/pixelmed/software/codec/index.html ./(\d+)_current/index.html
